Unable to start convirt-ctl after upgrading to 14.04

Request and provide help for all issues NOT related to installation and configuration here.

Unable to start convirt-ctl after upgrading to 14.04

Postby istream on Thu Feb 04, 2016 5:34 pm

Hi,
My convirt-ctl has been working for couple years, till i recently upgraded to Ubuntu 14.04 LTS. I have tried to look around to see if I can resolve it, but no luck so far.
When I start convirt-ctl start, I get following:
/convirt# ./convirt-ctl start

PID file is /var/run/convirt/paster.pid
Trying to source /home/sqa/convirt/tg2env/bin/activate
virtualenv set to /home/sqa/convirt/tg2env
Log file: /var/log/convirt/paster.log


Using /home/sqa/.ssh/cms_id_rsa
Agent pid 4333
Identity added: /home/sqa/.ssh/cms_id_rsa (/home/sqa/.ssh/cms_id_rsa)
ssh key added to agent.
Starting ConVirt using virtualenv : /home/sqa/convirt/tg2env
Default character encoding is utf-8
Traceback (most recent call last):
File "/home/sqa/convirt/tg2env/bin/paster", line 9, in <module>
load_entry_point('PasteScript==1.7.3', 'console_scripts', 'paster')()
File "/home/sqa/convirt/tg2env/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resource s.py", line 337, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/home/sqa/convirt/tg2env/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resource s.py", line 2279, in load_entry_point
return ep.load()
File "/home/sqa/convirt/tg2env/local/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resource s.py", line 1989, in load
entry = __import__(self.module_name, globals(),globals(), ['__name__'])
File "/home/sqa/convirt/tg2env/local/lib/python2.7/site-packages/PasteScript-1.7.3-py2.7.egg/paste/script /command.py", line 20, in <module>
from logging.config import fileConfig
File "/usr/lib/python2.7/logging/config.py", line 29, in <module>
import io
File "/usr/lib/python2.7/io.py", line 51, in <module>
import _io
ImportError: No module named _io
Error starting ConVirt. Please consult /var/log/convirt/paster.log for more details.

-------------------------------------------------------------------------------------
Help is appreciated. Thanks
istream
 
Posts: 20
Joined: Thu May 03, 2012 2:15 pm

Re: Unable to start convirt-ctl after upgrading to 14.04

Postby istream on Wed Feb 10, 2016 6:23 pm

I upgraded from 2.1.1 to 2.5. After updating several python packages etc, I am able to start convirt-ctl without any error.
I am able to connect to the server via browser, I see all my VMs etc, fine. When I try to start a VM i get the following:
----------------------
You seem to have an older version of KVM/QEMU
The version does not contain 'kvm-' token :2.0.0 (Debian 2.0.0+dfsg-2ubuntu1.22)
Please make sure kvm-70 or higher is installed and is in PATH.
----------------
My server_info after running the convirt-tool looks like this:
cat /var/cache/convirt/server_info
DISTRO="Ubuntu"
CODE_NAME="trusty"
VER="14.04"
KERNEL="3.13.0-76-generic"
ARCH="x86_64"
V_PLATFORM="KVM"
V_PLATFORM_VER="QEMU emulator version 2.0.0 Debian 2.0.0+dfsg-2ubuntu1.22"
DEFAULT_BRIDGE="br1"
-------------------------------------------------------
Not sure where to look. Pls Help.
istream
 
Posts: 20
Joined: Thu May 03, 2012 2:15 pm

Re: Unable to start convirt-ctl after upgrading to 14.04

Postby istream on Sun Feb 14, 2016 9:49 am

Still no progress. Struggling to figure out what and where to look. BTW, my server_info when working with 12.04 LTS looked like:
DISTRO="Ubuntu"
CODE_NAME="precise"
VER="12.04"
KERNEL="3.2.0-40-generic"
ARCH="x86_64"
V_PLATFORM="KVM"
V_PLATFORM_VER="qemu-kvm-1.0"
DEFAULT_BRIDGE="br1"
istream
 
Posts: 20
Joined: Thu May 03, 2012 2:15 pm

Re: Unable to start convirt-ctl after upgrading to 14.04

Postby istream on Tue Mar 01, 2016 7:12 pm

Is this forum active? No one has seen/encountered the same issue I am seeing?
Help Help
istream
 
Posts: 20
Joined: Thu May 03, 2012 2:15 pm


Return to Problems, Issues & Bugs

Who is online

Users browsing this forum: No registered users and 3 guests

cron